summaryrefslogtreecommitdiffstats
path: root/libraries/perl-cairo
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 22:54:18 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:18 +0200
commitfe3e266bd92c5b7418c5e47ccc476e3872cab4aa (patch)
tree8d99eac5bbb72c124b44443fe2846a3f211acaac /libraries/perl-cairo
parenta4713d52a4d02007a0b8b3bc4f99025ea4159410 (diff)
downloadslackbuilds-fe3e266bd92c5b7418c5e47ccc476e3872cab4aa.tar.gz
slackbuilds-fe3e266bd92c5b7418c5e47ccc476e3872cab4aa.tar.xz
libraries/perl-cairo: Added to 12.1 repository
Diffstat (limited to 'libraries/perl-cairo')
-rw-r--r--libraries/perl-cairo/README9
-rw-r--r--libraries/perl-cairo/perl-cairo.SlackBuild81
-rw-r--r--libraries/perl-cairo/perl-cairo.info8
-rw-r--r--libraries/perl-cairo/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/libraries/perl-cairo/README b/libraries/perl-cairo/README
new file mode 100644
index 0000000000..d627fcb17c
--- /dev/null
+++ b/libraries/perl-cairo/README
@@ -0,0 +1,9 @@
+Cairo (perl module)
+
+Perl bindings to the cairo graphics library.
+
+In order to build it from source, you'll also need
+ ExtUtils::PkgConfig >= 0.2 (perl-extutils-pkgconfig)
+ ExtUtils::Depends >= 1.0 (perl-extutils-depends)
+ Test::Number::Delta >= 1.0 (perl-test-number-delta)
+All of these are also available from SlackBuilds.org.
diff --git a/libraries/perl-cairo/perl-cairo.SlackBuild b/libraries/perl-cairo/perl-cairo.SlackBuild
new file mode 100644
index 0000000000..ee77de109f
--- /dev/null
+++ b/libraries/perl-cairo/perl-cairo.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for perl-cairo
+
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-cairo
+SRCNAM=Cairo
+VERSION=1.043
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ChangeLog LICENSE NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $SRCNAM-$VERSION
+tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make OPTIMIZE="$SLKCFLAGS" || exit 1
+make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+
+find $PKG -name $SRCNAM.so -exec strip --strip-unneeded $PKG 2> /dev/null {} \;
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist from $PKG
+( for i in perllocal.pod .packlist; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+) || exit 1
+
+# Remove empty directory
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/perl-cairo/perl-cairo.info b/libraries/perl-cairo/perl-cairo.info
new file mode 100644
index 0000000000..0e9765cd35
--- /dev/null
+++ b/libraries/perl-cairo/perl-cairo.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-cairo"
+VERSION="1.043"
+HOMEPAGE="http://gtk2-perl.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/gtk2-perl/Cairo-1.043.tar.gz"
+MD5SUM="7f79fe4776c725d698d52231f86fab6b"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="rworkman"
diff --git a/libraries/perl-cairo/slack-desc b/libraries/perl-cairo/slack-desc
new file mode 100644
index 0000000000..d7e29a86b6
--- /dev/null
+++ b/libraries/perl-cairo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+perl-cairo: Cairo (perl module)
+perl-cairo:
+perl-cairo: Perl bindings to the cairo graphics library.
+perl-cairo:
+perl-cairo: Homepage: http://gtk2-perl.sourceforge.net/
+perl-cairo:
+perl-cairo:
+perl-cairo:
+perl-cairo:
+perl-cairo:
+perl-cairo: